MODULE	'rexx/storage'

#define RXSNAME  'rexxsyslib.library'
#define RXSDIR   'REXX'
#define RXSTNAME 'ARexx'

OBJECT RxsLib
	Node:Library,
	Flags:UBYTE,
	Shadow:UBYTE,
	SysBase:APTR,
	DOSBase:APTR,
	IeeeDPBase:APTR,
	SegList:LONG,
	NIL:LONG,
	Chunk:LONG,
	MaxNest:LONG,
	NULL:PTR TO MexxStr,
	FALSE:PTR TO MexxStr,
	TRUE:PTR TO MexxStr,
	REXX:PTR TO MexxStr,
	COMMAND:PTR TO MexxStr,
	STDIN:PTR TO MexxStr,
	STDOUT:PTR TO MexxStr,
	STDERR:PTR TO MexxStr,

	Version:PTR TO CHAR,

	TaskName:PTR TO CHAR,
	TaskPri:LONG,
	TaskSeg:LONG,
	StackSize:LONG,
	RexxDir:PTR TO CHAR,
	CTABLE:PTR TO CHAR,
	Notice:PTR TO CHAR,

	RexxPort:MsgPort,
	ReadLock:UWORD,
	TraceFH:LONG,
	TaskList:List,
	NumTask:WORD,
	LibList:List,
	NumLib:WORD,
	ClipList:List,
	NumClip:WORD,
	MsgList:List,
	NumMsg:WORD,
	PgmList:List,
	NumPgm:WORD,

	TraceCnt:UWORD,
	avail:WORD

CONST	RLFB_TRACE=RTFB_TRACE,
		RLFB_HALT=RTFB_HALT,
		RLFB_SUSP=RTFB_SUSP,
		RLFB_STOP=6,
		RLFB_CLOSE=7

CONST	RLFMASK=1<<RLFB_TRACE|1<<RLFB_HALT|1<<RLFB_SUSP

CONST	RXSCHUNK=1024,
		RXSNEST=32,
		RXSTPRI=0,
		RXSSTACK=4096

FLAG	CT_SPACE,
		CT_DIGIT,
		CT_ALPHA,
		CT_REXXSYM,
		CT_REXXOPR,
		CT_REXXSPC,
		CT_UPPER,
		CT_LOWER
